summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorBrian Picciano <mediocregopher@gmail.com>2022-05-08 16:36:28 -0600
committerBrian Picciano <mediocregopher@gmail.com>2022-05-08 16:36:28 -0600
commita759fc28f715f4c7523a830314e3ccf09e2f0d70 (patch)
tree7138b26009f4a4dd1ba0ae7d4af1962ee70992fa /test.sh
parentddb126db1709b1c7679b8370b508639991387bf0 (diff)
Add test target to Makefile to run full integration tests
Diffstat (limited to 'test.sh')
-rw-r--r--test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100644
index 0000000..e204f91
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,23 @@
+
+test_dir="$(mktemp -d)"
+
+mkdir -p "$test_dir"/run
+mkdir -p "$test_dir"/data
+
+test_cfg="(import ./config.nix) // {
+ runDir=\"${test_dir}/run\";
+ dataDir=\"${test_dir}/data\";
+}"
+
+$(nix-build --no-out-link -A entrypoint \
+ --arg baseConfig "$test_cfg" \
+ --arg baseSkipServices '["srv" "static"]') &
+
+trap "kill $!; wait; rm -rf $test_dir" EXIT
+
+# TODO there's a race condition here, we should wait until redis is definitely
+# listening before commencing the tests.
+
+nix-shell -A srv.test \
+ --arg baseConfig "$test_cfg" \
+ --run "cd srv/src && go test ./... -count=1 -tags integration"